Skip to navigation

Get previous document search

View as Markdown

The ID is returned by the documentsearchtasks POST method.

Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.

Authentication

AuthorizationBearer

Docusign OAuth 2.0 access token, sent as Authorization: Bearer <token>.

Path parameters

taskidstringRequiredformat: "uuid"
ID of DocumentSearchTask.
accountIdstringRequiredformat: "uuid"
The ID of the Docusign account.

Query parameters

expandlist of stringsOptional

(AttributeGroups): Attribute groups saved on the document.

Response

OK
StatusstringOptional
The progress of the task
AllWordsstringOptional
The search will match all words in this comma separated list
AnyWordsstringOptional
The search will match any words in this comma separated list
WithoutWordsstringOptional
The search will match only objects excluding the words in this comma separated list
PhrasestringOptional

A multi-word phrase on which to match

IncludeSubFoldersbooleanOptional
Whether to include subfolders of the InFolder in the search query
IsInTrashbooleanOptional
Whether to include trashed items in the search query
TitlestringOptional
Search for an object by its title
DescriptionstringOptional
Search for an object by its description
HrefstringOptional
Uri where the object can be retrieved.
InFolderobjectOptional
A specific folder in which to conduct the search
UpdatedByobjectOptional
Search for who last updated an object
ResultobjectOptional
The resulting collection of objects which match the search query